using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models.Composites.Transportation {
  public class TransportationStudent_studentParentAssociation {
    /* Indicator of whether the person is a primary parental contact for the Student. */
    public bool? primaryContactStatus { get; set; }

    /* Indicator of whether the person is a designated emergency contact for the Student. */
    public bool? emergencyContactStatus { get; set; }

    /* The numeric order of the preferred sequence or priority of contact. */
    public int? contactPriority { get; set; }

    /* Restrictions for student and/or teacher contact with the individual (e.g., the student may not be picked up by the individual). */
    public string contactRestrictions { get; set; }

    /* Unique Household ID Number */
    public string householdId { get; set; }

    /* A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. */
    public string firstName { get; set; }

    /* A secondary name given to an individual at birth, baptism, or during another naming ceremony. */
    public string middleName { get; set; }

    /* The name borne in common by members of a family. */
    public string lastSurname { get; set; }

    /* An unordered collection of parentTelephones.   */
    public List<TransportationStudent_studentParentAssociation_parentTelephone> telephones { get; set; }

    /* An unordered collection of parentElectronicMails.   */
    public List<TransportationStudent_studentParentAssociation_parentElectronicMail> electronicMails { get; set; }

    }
}
