﻿using System.Linq;
using System.Net;
using RestSharp;

namespace Michigan.Ods.Sdk.Helpers
{
    public static class ManualCompositesHelper
    {
        public static RestResponse<T> CopyRestResponse<T>(IRestResponse response, T data)
        {
            RestResponse<T> restResponse = new RestResponse<T>
            {
                ContentEncoding = response.ContentEncoding,
                ContentLength = response.ContentLength,
                ContentType = response.ContentType,
                ErrorMessage = response.ErrorMessage,
                ErrorException = response.ErrorException,
                RawBytes = response.RawBytes,
                ResponseStatus = response.ResponseStatus,
                ResponseUri = response.ResponseUri,
                Server = response.Server,
                StatusCode = response.StatusCode,
                StatusDescription = response.StatusDescription,
                Request = response.Request,
                Data = data
            };
            response.Cookies.ToList().ForEach(c => restResponse.Cookies.Add(c));
            response.Headers.ToList().ForEach(h => restResponse.Headers.Add(h));
            return restResponse;
        }

        public static bool IsValidRestResponse(IRestResponse restResponse)
        {
            return restResponse.StatusCode == HttpStatusCode.OK || restResponse.StatusCode == HttpStatusCode.Found;
        }
    }
}