﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class BusRoute 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// The bus number associated with the bus and bus route.
        /// </summary>
        public string busNumber { get; set; }

        /// <summary>
        /// To indicate the day of week of a bus route.
        /// </summary>
        public string dayOfWeekDescriptor { get; set; }

        /// <summary>
        /// To indicate the direction of the bus route. (e.g. To School, From School).
        /// </summary>
        public string directionDescriptor { get; set; }

        /// <summary>
        /// A descriptive name of the bus route.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The number or id of the bus route.
        /// </summary>
        public string busRouteNumberOrId { get; set; }

        /// <summary>
        /// The start time of the indicated bus route direction.
        /// </summary>
        public string startTime { get; set; }

        /// <summary>
        /// The end time of the indicated bus route direction.
        /// </summary>
        public string endTime { get; set; }

        /// <summary>
        /// The name of the bus driver.
        /// </summary>
        public BusRouteBusDriverName busDriverName { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

