﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class BusRouteReference 
    {
        /// <summary>
        /// The bus number associated with the bus and bus route.
        /// </summary>
        public string busNumber { get; set; }

        /// <summary>
        /// To indicate the day of week of a bus route.
        /// </summary>
        public string dayOfWeekDescriptor { get; set; }

        /// <summary>
        /// To indicate the direction of the bus route. (e.g. To School, From School).
        /// </summary>
        public string directionDescriptor { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related busRoute resource.
        /// </summary>
        public Link link { get; set; }

        }
}

