﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class ClassGroupReference 
    {
        /// <summary>
        /// The name of the class/group of students.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The identifier assigned to a Community Provider.
        /// </summary>
        public int? communityProviderId { get; set; }

        /// <summary>
        /// A unique number or alphanumeric code assigned to an education organization by a school, school system, a state, or other agency or entity.
        /// </summary>
        public int? communityProviderLocationId { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related classGroup resource.
        /// </summary>
        public Link link { get; set; }

        }
}

