﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class CohortReference 
    {
        /// <summary>
        /// The name or ID for the cohort.
        /// </summary>
        public string identifier { get; set; }

        /// <summary>
        /// The identifier assigned to an education agency by the State Education Agency (SEA).  Also known as the State LEA ID.
        /// </summary>
        public int? educationOrganizationId { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related cohort resource.
        /// </summary>
        public Link link { get; set; }

        }
}

