﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class EemEducationalEntityMasterDetailEEMTitleIStatus 
    {
        /// <summary>
        /// A reference to the related EEMSchoolYear resource.
        /// </summary>
        public EemSchoolYearReference eemSchoolYearReference { get; set; }

        /// <summary>
        /// The EEMEntityTitleIStatus identifier.
        /// </summary>
        public int? eemEntityTitleIStatusId { get; set; }

        /// <summary>
        /// The date this Title I Status was created. *** needs to be datetime ***
        /// </summary>
        public DateTime? createdDate { get; set; }

        /// <summary>
        /// The date this Title I Status was closed. *** needs to datetime ***
        /// </summary>
        public DateTime? closeDate { get; set; }

        /// <summary>
        /// The open date of this Title I Status. *** needs to be datetime ***
        /// </summary>
        public DateTime? openDate { get; set; }

        /// <summary>
        /// The EEM Title I status.
        /// </summary>
        public string eemTitleIStatusDescriptor { get; set; }

        /// <summary>
        /// Low income percent imported from MEGS with reference to TitleI status and School Year.
        /// </summary>
        public double? eemLowIncomePercent { get; set; }

        /// <summary>
        /// The low income district percent in reference to the TitleI status and School Year.
        /// </summary>
        public double? eemLowIncomeDistrict { get; set; }

        /// <summary>
        /// The low income grade span in reference to the TitleI status and School Year.
        /// </summary>
        public double? eemLowIncomeGradeSpan { get; set; }

        /// <summary>
        /// The eligibility of the EEM Title I Status
        /// </summary>
        public string eemTitleIStatusEligibility { get; set; }

        }
}

