﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class EemEntitySharedEntity 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference eemEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference memberEEMEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// EEMEntitySharedEntity identifier.
        /// </summary>
        public int? eemEntitySharedEntityId { get; set; }

        /// <summary>
        /// Indicates the shared action between EEM Educational Entities.
        /// </summary>
        public string eemSharedEntityActionDescriptor { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

