﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class InterventionPrescriptionEffectiveness 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related InterventionPrescription resource.
        /// </summary>
        public InterventionPrescriptionReference interventionPrescriptionReference { get; set; }

        /// <summary>
        /// A reference to the related Staff resource.
        /// </summary>
        public StaffReference staffReference { get; set; }

        /// <summary>
        /// Date Staff provided Effectiveness feedback.
        /// </summary>
        public DateTime? effectivenessDate { get; set; }

        /// <summary>
        /// Effectiveness factor.
        /// </summary>
        public double? effectSize { get; set; }

        /// <summary>
        /// Perception feedback, aggregated at district, isd, statewide, rated on student progress.
        /// </summary>
        public int? fiveStar { get; set; }

        /// <summary>
        /// Narrative feedback associated with five star rating w/ assotication to person/email providing feedback.
        /// </summary>
        public string fiveStarComment { get; set; }

        /// <summary>
        /// Growth - entered by teacher or assgned staff.
        /// </summary>
        public double? growth { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

