﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class InterventionPrescriptionTraining 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related InterventionPrescription resource.
        /// </summary>
        public InterventionPrescriptionReference interventionPrescriptionReference { get; set; }

        /// <summary>
        /// A reference to the related Staff resource.
        /// </summary>
        public StaffReference staffReference { get; set; }

        /// <summary>
        /// The date this training occurred.
        /// </summary>
        public DateTime? interventionTrainingDate { get; set; }

        /// <summary>
        /// Indicates the training level of the staff for this IntervetionPrescription
        /// </summary>
        public string interventionTrainingLevelDescriptor { get; set; }

        /// <summary>
        /// Indicates level of confidence of the Staff in regards to implementing this InterventionPrescirption with effectiveness.
        /// </summary>
        public string educatorConfidenceLevelDescriptor { get; set; }

        /// <summary>
        /// 1 = Resources are available  0 or NULL = Resources are not available
        /// </summary>
        public bool? resourcesAvailable { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

