﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StudentAssessmentEssay 
    {
        /// <summary>
        /// A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string essayCategoryDescriptor { get; set; }

        /// <summary>
        /// The date on which the record was created in SecureSite.
        /// </summary>
        public DateTime? createdDate { get; set; }

        /// <summary>
        /// The date on which the record was modified in SecureSite.
        /// </summary>
        public DateTime? modifiedDate { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public StudentAssessmentEssayScoreResult scoreResult { get; set; }

        /// <summary>
        /// An unordered collection of studentAssessmentEssayRubrics.  (MI EXT) This entity represents the analysis or scoring of a student's response on an assessment essay rubric. The analysis results in a value that represents a student's performance on a set of items on a test.
        /// </summary>
        public List<StudentAssessmentEssayRubric> rubrics { get; set; }

        }
}

