﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StudentEarlyLearningProgramAssociationEarlyLearningProgramService 
    {
        /// <summary>
        /// Indicates the Service being provided to the student by the Program.
        /// </summary>
        public string serviceDescriptor { get; set; }

        /// <summary>
        /// True if service is a primary service.
        /// </summary>
        public bool? primaryIndicator { get; set; }

        /// <summary>
        /// First date the Student was in this option for the current school year.
        /// </summary>
        public DateTime? serviceBeginDate { get; set; }

        /// <summary>
        /// Last date the Student was in this option for the current school year.
        /// </summary>
        public DateTime? serviceEndDate { get; set; }

        /// <summary>
        /// The type of agency that is providing service coordination.
        /// </summary>
        public string serviceCoordAgencyDescriptor { get; set; }

        /// <summary>
        /// The environment in which the majority of the services are being provided.
        /// </summary>
        public string settingDescriptor { get; set; }

        /// <summary>
        /// Indicate the service start status for services.
        /// </summary>
        public string timelyStartOfServiceDescriptor { get; set; }

        }
}

