﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.Assessment.Models 
{
    public class StudentAssessmentStudentObjectiveAssessment_Writable 
    {
        /// <summary>
        /// A reference to the related ObjectiveAssessment resource.
        /// </summary>
        public ObjectiveAssessmentReference objectiveAssessmentReference { get; set; }

        /// <summary>
        /// A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string performanceIndicatorDescriptor { get; set; }

        /// <summary>
        /// Created date.
        /// </summary>
        public DateTime? createdDate { get; set; }

        /// <summary>
        /// Modified date.
        /// </summary>
        public DateTime? modifiedDate { get; set; }

        /// <summary>
        /// An unordered collection of studentAssessmentStudentObjectiveAssessmentPerformanceLevels.  The PerformanceLevel(s) achieved for the ObjectiveAssessment.
        /// </summary>
        public List<StudentAssessmentStudentObjectiveAssessmentPerformanceLevel_Writable> performanceLevels { get; set; }

        /// <summary>
        /// An unordered collection of studentAssessmentStudentObjectiveAssessmentScoreResults.  A meaningful score or statistical expression of the performance of an individual. The results can be expressed as a number, percentile, range, level, etc.
        /// </summary>
        public List<StudentAssessmentStudentObjectiveAssessmentScoreResult_Writable> scoreResults { get; set; }

        }
}

