﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.Assessment.Models 
{
    public class StudentProgramParticipation_Readable 
    {
        /// <summary>
        /// The type of program.
        /// </summary>
        public string programType { get; set; }

        /// <summary>
        /// The date the student was associated with the program or service.
        /// </summary>
        public DateTime? beginDate { get; set; }

        /// <summary>
        /// The date the Program participation ended.
        /// </summary>
        public DateTime? endDate { get; set; }

        /// <summary>
        /// The person, organization, or department that designated the program association.
        /// </summary>
        public string designatedBy { get; set; }

        /// <summary>
        /// (MI-EXT) The full-time equivalency (FTE) that the participant spends in the program reported. 
        /// </summary>
        public double? enrollmentPercent { get; set; }

        /// <summary>
        /// An unordered collection of studentProgramParticipationProgramCharacteristics.  Reflects important characteristics of the Program, such as categories or particular indications.
        /// </summary>
        public List<StudentProgramParticipationProgramCharacteristic_Readable> programCharacteristics { get; set; }

        /// <summary>
        /// An unordered collection of studentProgramParticipationStatuses.  (MI EXT) To indicate the status of the students participation in the program (i. g. eligible, started, completed, not eligible)
        /// </summary>
        public List<StudentProgramParticipationStatus_Readable> statuses { get; set; }

        }
}

