﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.DataWarehouse.Models 
{
    public class ClassPeriodReference 
    {
        /// <summary>
        /// The identifier assigned to a school by the State Education Agency (SEA).
        /// </summary>
        public int? schoolId { get; set; }

        /// <summary>
        /// An indication of the portion of a typical daily session in which students receive instruction in a specified subject (e.g., morning, sixth period, block period, or AB schedules).
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related classPeriod resource.
        /// </summary>
        public Link link { get; set; }

        }
}

