﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.DataWarehouse.Models 
{
    public class GraduationPlanReference 
    {
        /// <summary>
        /// The type of academic plan the student is following for graduation: for example, Minimum, Recommended, Distinguished, or Standard.
        /// </summary>
        public string typeDescriptor { get; set; }

        /// <summary>
        /// The identifier assigned to an education agency by the State Education Agency (SEA).  Also known as the State LEA ID.
        /// </summary>
        public int? educationOrganizationId { get; set; }

        /// <summary>
        /// The school year the student is expected to graduate.
        /// </summary>
        public int? graduationSchoolYear { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related graduationPlan resource.
        /// </summary>
        public Link link { get; set; }

        }
}

