﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.DataWarehouse.Models 
{
    public class StudentDisability_Readable 
    {
        /// <summary>
        /// A disability category that describes a child's impairment.
        /// </summary>
        public string disabilityDescriptor { get; set; }

        /// <summary>
        /// A description of the disability diagnosis.
        /// </summary>
        public string disabilityDiagnosis { get; set; }

        /// <summary>
        /// The order by severity of student's disabilities: 1- Primary, 2 -  Secondary, 3 - Tertiary, etc.
        /// </summary>
        public int? orderOfDisability { get; set; }

        /// <summary>
        /// The source that provided the disability determination.
        /// </summary>
        public string disabilityDeterminationSourceType { get; set; }

        }
}

