﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.EEM.Models 
{
    public class EemCharacteristic_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// The EEMCharacteristic identifier.
        /// </summary>
        public int? eemCharacteristicId { get; set; }

        /// <summary>
        /// EEMCharacteristic name.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// EEMCharacteristic label.
        /// </summary>
        public string label { get; set; }

        /// <summary>
        /// EEMCharacteristic description.
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// EEMCharacteristic steps.
        /// </summary>
        public string steps { get; set; }

        /// <summary>
        /// EEMCharacteristic  source table.
        /// </summary>
        public string sourceTable { get; set; }

        /// <summary>
        /// EEMCharacteristic source field.
        /// </summary>
        public string sourceField { get; set; }

        /// <summary>
        /// EEMCharacteristic value name.
        /// </summary>
        public string valueName { get; set; }

        /// <summary>
        /// EEMCharacteristic value table.
        /// </summary>
        public string valueTable { get; set; }

        /// <summary>
        /// EEMCharacteristic value field.
        /// </summary>
        public string valueField { get; set; }

        /// <summary>
        /// EEMCharacteristic system name.
        /// </summary>
        public string systemName { get; set; }

        /// <summary>
        /// The data type of the EEMCharacteristic
        /// </summary>
        public string eemDataTypeDescriptor { get; set; }

        /// <summary>
        /// The data type of the CharacteristicValue.
        /// </summary>
        public string characteristicValueEEMDataTypeDescriptor { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

