﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.EEM.Models 
{
    public class EemEntityTitleIII_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference fiscalAgentEEMEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference consortiumMemberEEMEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// A reference to the related EEMSchoolYear resource.
        /// </summary>
        public EemSchoolYearReference eemSchoolYearReference { get; set; }

        /// <summary>
        /// EEM EntityTitleIII identifier.
        /// </summary>
        public int? eemEntityTitleIIIId { get; set; }

        /// <summary>
        /// 1 = is immigrant Title III; 0 = is not immigrant Title III;
        /// </summary>
        public bool? immigrantTitleIII { get; set; }

        /// <summary>
        /// 1 = is LEP Title III; 0 = is not LEP Title III;
        /// </summary>
        public bool? lepTitleIII { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

