﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.EEM.Models 
{
    public class EemEntityTypeClassification_Writable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// The EEM EntityType identifier.
        /// </summary>
        public int? eemEntityTypeClassificationId { get; set; }

        /// <summary>
        /// The EEM EntityType code.
        /// </summary>
        public string eemEntityTypeCode { get; set; }

        /// <summary>
        /// The EEM EntityType name.
        /// </summary>
        public string eemEntityTypeName { get; set; }

        /// <summary>
        /// The EEM EntityType description.
        /// </summary>
        public string eemEntityTypeDescription { get; set; }

        /// <summary>
        /// The EEM form name.
        /// </summary>
        public string eemFormName { get; set; }

        /// <summary>
        /// Denotes the EEM EntityTypeCategory.
        /// </summary>
        public string eemEntityTypeCategoryDescriptor { get; set; }

        /// <summary>
        /// Denotes the EEM EntityTypeGroup.
        /// </summary>
        public string eemEntityTypeGroupDescriptor { get; set; }

        /// <summary>
        /// Denotes the EntityTypeStatus.
        /// </summary>
        public string eemEntityTypeStatusDescriptor { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

