﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class AccountReference 
    {
        /// <summary>
        /// The identifier assigned to an education agency by the State Education Agency (SEA).  Also known as the State LEA ID.
        /// </summary>
        public int? educationOrganizationId { get; set; }

        /// <summary>
        /// The alphanumeric string that identifies the account.
        /// </summary>
        public string number { get; set; }

        /// <summary>
        /// The financial accounting year.
        /// </summary>
        public int? fiscalYear { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related account resource.
        /// </summary>
        public Link link { get; set; }

        }
}

