﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class CommunityProviderLicense_Readable 
    {
        /// <summary>
        /// The date this license became effective.
        /// </summary>
        public DateTime? licenseEffectiveDate { get; set; }

        /// <summary>
        /// The name of the licensing organization.
        /// </summary>
        public string licensingOrganization { get; set; }

        /// <summary>
        /// The date in which this license expires.
        /// </summary>
        public DateTime? licenseExpirationDate { get; set; }

        /// <summary>
        /// The first date a license of the given type was assigned to the community provider.
        /// </summary>
        public DateTime? initialLicenseDate { get; set; }

        /// <summary>
        /// Indicates the status of the community provider's license.
        /// </summary>
        public string licenseStatusDescriptor { get; set; }

        /// <summary>
        /// The number of fatalities that had occurred at the provider  as of the date this license was issued.
        /// </summary>
        public int? numberOfFatalities { get; set; }

        /// <summary>
        /// The number of injuries that had occurred at this provider as of the date this license was issued.
        /// </summary>
        public int? numberOfInjuries { get; set; }

        /// <summary>
        /// The maximum number of students permitted to attend this provider at any given time. 
        /// </summary>
        public int? stateLicensedFacilityCapacity { get; set; }

        /// <summary>
        /// The youngest age of children a provider is authorized or licensed to serve.
        /// </summary>
        public int? youngestAgeAuthorizedToServe { get; set; }

        /// <summary>
        /// The oldest age of children a provider is authorized or licensed to serve.
        /// </summary>
        public int? oldestAgeAuthorizedToServe { get; set; }

        }
}

