﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class EemEducationalEntityMasterEEMInstitutionAddress_Readable 
    {
        /// <summary>
        /// A reference to the related EEMCounty resource.
        /// </summary>
        public EemCountyReference eemCountyReference { get; set; }

        /// <summary>
        /// A reference to the related EEMCounty resource.
        /// </summary>
        public EemCountyReference fipseemCountyReference { get; set; }

        /// <summary>
        /// Indicates the EEM type of institution address listed for the Educational Entity.
        /// </summary>
        public string eemInstitutionAddressTypeDescriptor { get; set; }

        /// <summary>
        /// The number and street of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemStreet { get; set; }

        /// <summary>
        /// The address line 2 of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemAddressLine2 { get; set; }

        /// <summary>
        /// The city of the Educational Entity's institution address.
        /// </summary>
        public string eemCity { get; set; }

        /// <summary>
        /// The state of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemState { get; set; }

        /// <summary>
        /// The postal code of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemPostalCode { get; set; }

        /// <summary>
        /// The X Location of the EEM Educational Entity's institution address.
        /// </summary>
        public double? eemxLocation { get; set; }

        /// <summary>
        /// The Y Location of the EEM Educational Entity's institution address.
        /// </summary>
        public double? eemyLocation { get; set; }

        /// <summary>
        /// The latitude of the EEM Educational Entity's institution address.
        /// </summary>
        public double? eemLatitude { get; set; }

        /// <summary>
        /// The longitude of the EEM Educational Entity's institution address.
        /// </summary>
        public double? eemLongitude { get; set; }

        /// <summary>
        /// The US Congressional District of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemusCongressionalDistrict { get; set; }

        /// <summary>
        /// The MI Senate District of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemmiSenateDistrict { get; set; }

        /// <summary>
        /// The MI House District of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemmiHouseDistrict { get; set; }

        /// <summary>
        /// The block group of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemBlockGroup { get; set; }

        /// <summary>
        /// The civil division  of the EEM Educational Entity's institution address.
        /// </summary>
        public string eemCivilDivision { get; set; }

        }
}

