﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class EemEntityRelationshipHistory_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference eemEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// A reference to the related EEMEducationalEntityMaster resource.
        /// </summary>
        public EemEducationalEntityMasterReference parentEEMEducationalEntityMasterReference { get; set; }

        /// <summary>
        /// EEMEntityRelationshipHistoryId identifier.
        /// </summary>
        public int? eemEntityRelationshipHistoryId { get; set; }

        /// <summary>
        /// Indicates the standard hierarchy of educational entities.
        /// </summary>
        public string eemRelationshipTypeDescriptor { get; set; }

        /// <summary>
        /// The effective date of this relationship.
        /// </summary>
        public DateTime? effectiveDate { get; set; }

        /// <summary>
        /// The expiration date of this relationship.
        /// </summary>
        public DateTime? expirationDate { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

