﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class LearningContentResource_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// Name of this resource.
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// Indicates the status of the Resource.
        /// </summary>
        public string statusDescriptor { get; set; }

        /// <summary>
        /// Indicates importance of the Resource (e.g., Primary, Secondary).
        /// </summary>
        public string importanceDescriptor { get; set; }

        /// <summary>
        /// Unique ID of this resource as allocated by the vendor. It is unique in the context of resource identifiers allocated by the vendor.
        /// </summary>
        public string vendorResourceId { get; set; }

        /// <summary>
        /// Identifier of the vendor responsible for this resource. This unique ID will be assigned by IMS during the OneRoster conformance process.
        /// </summary>
        public string vendorId { get; set; }

        /// <summary>
        /// Identifier of the application associated with this resource. This identifier is assigned by the creator/vendor of the resource.
        /// </summary>
        public string applicationId { get; set; }

        /// <summary>
        ///  0 = is NOT Teacher Resource  1 = is Teacher Resource
        /// </summary>
        public bool? teacherResource { get; set; }

        /// <summary>
        /// 0 = is Student Resource  1 = is NOT Student Resource
        /// </summary>
        public bool? studentResource { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

