﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class StaffEducationOrganizationEmploymentAssociationReference 
    {
        /// <summary>
        /// The identifier assigned to an education agency by the State Education Agency (SEA).  Also known as the State LEA ID.
        /// </summary>
        public int? educationOrganizationId { get; set; }

        /// <summary>
        /// A unique alpha-numeric code assigned to a staff.
        /// </summary>
        public string staffUniqueId { get; set; }

        /// <summary>
        /// Reflects the type of employment or contract; for example:          Probationary          Contractual          Substitute/temporary          Tenured or permanent          Volunteer/no contract          ...
        /// </summary>
        public string employmentStatusDescriptor { get; set; }

        /// <summary>
        /// The month, day, and year on which an individual was hired for a position.
        /// </summary>
        public DateTime? hireDate { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related staffEducationOrganizationEmploymentAssociation resource.
        /// </summary>
        public Link link { get; set; }

        }
}

