﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class StaffREPCredential_Writable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related Staff resource.
        /// </summary>
        public StaffReference staffReference { get; set; }

        /// <summary>
        /// The field of certification for the certificate (e.g., Mathematics, Music)
        /// </summary>
        public string credentialFieldDescriptor { get; set; }

        /// <summary>
        /// An indication of the category of credential an individual holds.
        /// </summary>
        public string credentialType { get; set; }

        /// <summary>
        /// A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string levelDescriptor { get; set; }

        /// <summary>
        /// A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string teachingCredentialDescriptor { get; set; }

        /// <summary>
        /// The month, day, and year on which an active credential was issued to an individual.
        /// </summary>
        public DateTime? credentialIssuanceDate { get; set; }

        /// <summary>
        /// (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string repTypeOfCredentialDescriptor { get; set; }

        /// <summary>
        /// The number issued by the credentialing/licensing agency. 
        /// </summary>
        public string professionalCertificateOrLicenseNumber { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DateTime? credentialExpirationDate { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string teachingCredentialBasisType { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string stateOfIssueStateAbbreviationType { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

