﻿using System;
using System.Collections.Generic;
using System.Net;
using Michigan.Ods.Sdk.Profiles.Transportation.Api;
using Michigan.Ods.Sdk.Profiles.Transportation.Models;
using Michigan.Ods.Sdk.Helpers;
using RestSharp;

namespace EdFiClientSDK
{
    class Program
    {
        static void Main(string[] args)
        {
            // Trust all SSL certs -- needed unless signed SSL certificates are configured.
            ServicePointManager.ServerCertificateValidationCallback =
                ((sender, certificate, chain, sslPolicyErrors) => true);

            // OAuth configuration
            var oauthUrl = "http://localhost:54746/";
            var clientKey = "0rCNunhFx1vO";  // TODO: Put your key here
            var clientSecret = "z0luiQsTzyesxb8S6DdNyCDS"; // TODO: Put your secret here

            // RestSharp (installed via NuGet)
            var client = new RestClient("http://localhost:54746/api/v2.0/2015");

            // TokenRetriever makes the OAuth calls
            var tokenRetriever = new TokenRetriever(oauthUrl, clientKey, clientSecret);

            // Plug OAuth into RestSharp's authentication scheme
            client.Authenticator = new BearerTokenAuthenticator(tokenRetriever);

            // GET schools
            var api = new SchoolsApi(client);
            var response = api.GetSchoolsAll(null, null); // offset, limit

            var httpReponseCode = response.StatusCode; // returns System.Net.HttpStatusCode.OK
            Console.WriteLine("Response code is " + httpReponseCode);
            Console.WriteLine();

            // Response data is serialized directly to typed model classes
            List<School> schools = response.Data;

            foreach (var school in schools)
                Console.WriteLine(school.schoolId + ": " + school.nameOfInstitution);

            Console.WriteLine();
            Console.WriteLine("Hit ENTER key to continue...");
            Console.ReadLine();
        }
    }
}

